export declare const DEFAULTS: Readonly<{
    size: string;
    alignment: string;
    width: number;
    height: number;
    minHeight: number;
    maxHeight: number;
    minWidth: number;
    maxWidth: number;
    config: {
        width: number;
        height: number;
        minHeight: number;
        maxHeight: number;
        minWidth: number;
        maxWidth: number;
        mapSettings: {
            address: string;
            locationDisplayName: string;
            lat: number;
            lng: number;
            zoom: number;
            mode: string;
            isMarkerShown: boolean;
            isZoomControlShown: boolean;
            isStreetViewControlShown: boolean;
            isDraggingAllowed: boolean;
        };
    };
}>;
//# sourceMappingURL=defaults.d.ts.map