export class MapSettingsModal extends React.Component<any, any, any> {
    constructor(props: any);
    styles: Record<string, string>;
    modalsWithEditorCommands: any;
    updateMapSettings: (data: any) => void;
    onLocationInputChange: (value: any) => void;
    onLocationSuggestSelect: (geocodedPrediction: any, originalPrediction: any) => void;
    onSaveBtnClick: () => void;
    onSave: () => void;
    oldToggleState: (key: any) => () => void;
    toggleState: (key: any) => () => void;
    renderToggle: ({ toggleKey, labelKey }: {
        toggleKey: any;
        labelKey: any;
    }) => JSX.Element;
    toggleData: {
        toggleKey: string;
        labelKey: string;
    }[];
    renderSettingsSections(): JSX.Element;
}
export namespace MapSettingsModal {
    export namespace propTypes {
        export const pubsub: PropTypes.Requireable<object>;
        export const helpers: PropTypes.Validator<object>;
        export const componentData: PropTypes.Validator<object>;
        export const settings: PropTypes.Validator<object>;
        export const onConfirm: PropTypes.Requireable<(...args: any[]) => any>;
        export const theme: PropTypes.Validator<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const languageDir: PropTypes.Requireable<string>;
        export const onSave: PropTypes.Requireable<(...args: any[]) => any>;
        export const onCancel: PropTypes.Requireable<(...args: any[]) => any>;
        export const updateData: PropTypes.Requireable<(...args: any[]) => any>;
        export const experiments: PropTypes.Requireable<object>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=MapSettingsModal.d.ts.map